
Showroom Mobile Banking - Enhancement #14419

SD: Rule Engine Reward Allocation Integration Version 2.0

03 October 2022 11:33 AM - Low Dylan

Status: Closed Start date: 03 October 2022

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: Future Branch Code: showroom-proj-base-i5

Description

Need help to enhance the Rule Engine Reward Allocation Page based on the ppt.

Please commit at UG demo branch.

History

#1 - 05 October 2022 11:08 AM - Low Dylan

- File deleted (RuleEngineErewardAllocationV2.pptx)

#2 - 05 October 2022 11:08 AM - Low Dylan

- File RuleEngineErewardAllocationV2.pptx added

#3 - 06 October 2022 07:56 PM - Low Dylan

- Assignee changed from siti nurazwan to Low Dylan

Revision: 219363

Author: dylanlow

Date: Thursday, 6 October, 2022 7:55:35 PM

Message:

https://dev.silverlakemobility.com/redmine/issues/14419

----

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bbean_ereward/src/main/java/com/silverlake/ifb/ereward/bean/Allocati

onBean.java

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bbean_ereward/src/main/java/com/silverlake/ifb/ereward/bean/ws/Ere

wardProgramAllocationRulesBean.java

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bd_ereward/src/main/java/com/silverlake/ifb/ereward/dao/RewardDAO

Impl.java

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bd_ereward/src/main/java/com/silverlake/ifb/ereward/entity/ProgramAll

ocation.java

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bd_ereward/src/main/java/com/silverlake/ifb/ereward/service/Program

ServiceImpl.java

Modified : /GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/cc_ereward/src/main/resources/Messages.properties

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/cc_ereward/src/main/webapp/WEB-INF/vm/programDetail.vm
#4 - 11 October 2022 04:27 PM - Low Dylan

- Status changed from New to Closed

- Assignee deleted (Low Dylan)

Revision: 219396

Author: dylanlow

Date: Tuesday, 11 October, 2022 4:27:04 PM

Message:

https://dev.silverlakemobility.com/redmine/issues/14419

----

Modified : /GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/RELEASES/MSIT/demo_upgreat.sql

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bbean_ereward/src/main/java/com/silverlake/ifb/ereward/bean/Allocati

onBean.java

Added :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bbean_ereward/src/main/java/com/silverlake/ifb/ereward/bean/RuleEn

gineInputFieldBean.java

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bd_ereward/src/main/java/com/silverlake/ifb/ereward/dao/AllocationD

AO.java

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bd_ereward/src/main/java/com/silverlake/ifb/ereward/dao/AllocationD

AOImpl.java

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bd_ereward/src/main/java/com/silverlake/ifb/ereward/entity/ProgramAll

ocation.java

Added :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bd_ereward/src/main/java/com/silverlake/ifb/ereward/entity/ProgramAll

ocationRuleEngineInputFields.java

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/bd_ereward/src/main/java/com/silverlake/ifb/ereward/service/Program

ServiceImpl.java

Modified : /GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/cc_ereward/src/main/resources/Messages.properties

Added :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/cc_ereward/src/main/webapp/WEB-INF/vm/programAllocation/ruleEng

ineInputFieldList.vm

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/cc_ereward/src/main/webapp/WEB-INF/vm/programAllocation/targetA

ccumulationList.vm

Modified :

/GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/cc_ereward/src/main/webapp/WEB-INF/vm/programDetail.vm

Modified : /GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/cc_ereward/src/main/webapp/css/ereward02.css

Modified : /GeRewardv2/SourceCode/SMEGeReward100/branches/Demo/mleb_ereward/cc_ereward/src/main/webapp/css/sidebar-menu.css
Files

RuleEngineErewardAllocationV2.pptx 193 KB 05 October 2022 Low Dylan
